Name: x11-driver-video-xgi
Version: 1.6.0
Release: %mkrel 12
Summary: X.org driver for XGI Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgi-%{version}.tar.bz2
# Some files were missing from latest release, thus breaking git-diff patch:
# git checkout xf86-video-xgi-1.6.0; cp src/xgi_memcpy.c  src/vb_i2c.c ../SOURCES/
Source1: vb_i2c.c
Source2: xgi_memcpy.c

License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: libdrm-devel		>= 2.3.0
BuildRequires: libpixman-1-devel	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: x11-server-devel		>= 1.4
BuildRequires: libmesagl-devel		>= 7.0.2
Conflicts: xorg-x11-server < 7.0

# git diff xf86-video-xgi-1.6.0>fix-build.diff :
Patch0: git.diff
Patch1: string-format-error.patch
# fix build with xserver-1.14:
Patch2: 0001-Remove-mibstore.h.patch

%description
x11-driver-video-xgi is the X.org driver for Generic XGI Cards.

%prep
%setup -q -n xf86-video-xgi-%{version}
# Some files were missing from latest release, thus breaking git-diff patch:
cp %{SOURCE1} %{SOURCE2} src
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%{_libdir}/xorg/modules/drivers/xgi_drv.la
%{_libdir}/xorg/modules/drivers/xgi_drv.so
%{_mandir}/man4/xgi.*




%changelog
* Fri Dec 06 2013 tmb <tmb> 1.6.0-12.mga4
+ Revision: 555625
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-11.mga4
+ Revision: 525478
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.6.0-10.mga4
+ Revision: 433209
- submit to core/release

* Fri May 24 2013 tv <tv> 1.6.0-9.mga4
+ Revision: 426075
- patch 3: fix build with xserver-1.14
- patch 0 + sources 1 & 2: fix build with xserver-1.14
- restore format error fixes patch
- disable other git patches
- backport git changes (support for newer x11-server)
- rebuild for new xserver
- rebuild for new xserver
- rebuild b/c of ia32 failure
- rebuild for new X.org server

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 06 2011 tmb <tmb> 1.6.0-5.mga2
+ Revision: 177723
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.6.0-4.mga2
+ Revision: 153141
- rebuild for xserver-1.11

* Fri Feb 11 2011 tmb <tmb> 1.6.0-3.mga1
+ Revision: 50354
- imported package x11-driver-video-xgi


* Thu Dec 16 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.6.0-3mdv2011.0
+ Revision: 622332
- Add patch to allow the driver to be loaded without unresolved symbols.

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-2mdv2011.0
+ Revision: 618372
- the mass rebuild of 2010.1 packages

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Wed Feb 17 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.5.1-1mdv2010.1
+ Revision: 507250
- Fix package build

  + Thierry Vignaud <tv@mandriva.org>
    - new release
    - rebuild
    - rebuild
    - rebuild
    - improved description
    - fix group
    - add missing dot at end of description
    - improved summary

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.0-3mdv2008.1
+ Revision: 166253
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.5.0-2mdv2008.1
+ Revision: 156632
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.5.0-1mdv2008.1
+ Revision: 154788
- Updated BuildRequires and submit package.
  First package version, unstested, upstream compilable version.
- Update driver to be loadable.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Generate tarball agains't proper tag xf86-video-xgi-1.5.0, and add patches
  up to mandriva branch.
- Add xf86-video-xgi to cooker.
- Create directory tree for new package x11-driver-video-xgi.

